package com.ruoyi.common.enums;

import org.omg.PortableInterceptor.INACTIVE;

import java.util.HashMap;
import java.util.Map;

/**
 * 附件枚举
 * @Author: tjf
 * @Date: 2024/9/29 15:31
 * @Describe:
 */
public enum FjType {
    gdhyjy("gdhyjy",1),
    rggzb("rggzb",2),
    sdffpyn("sdffpyn",3),
    frsfzrmx("frsfzrmx",4),
    frsfzghm("frsfzghm",5),
    frjhz("frjhz",6),
    frhkbsy("frhkbsy",7),
    frhkbbry("frhkbbry",8),
    frhkbpoy("frhkbpoy",9),
    sqqyzxbg("sqqyzxbg",10),
    glqyzxbg("glqyzxbg",11),
    qyfrzxbg("qyfrzxbg",12),
    sjkgrzxbg("sjkgrzxbg",13),
    nszm("nszm",14),
    syndcwbb("syndcwbb",15),
    dqcwbb("dqcwbb",16),
    gxht("gxht",17),
    jsyyhdzd("jsyyhdzd",18),
    zyzhyhls("zyzhyhls",19),
    jzdcbg("jzdcbg",20),
    clhgb("clhgb",21),
    psyjqpb("psyjqpb",22),
    wtdbht("wtdbht",23);


    private final String type;
    private final Integer sort;

    FjType(String type, Integer sort) {
        this.type = type;
        this.sort = sort;
    }
    public Integer getSort() {
        return sort;
    }

    public String getType() {
        return type;
    }


    public static Integer getDriverType(String name) {
        for (FjType type : FjType.values()) {
            if (name.equals(type.getType())) {
                return type.sort;
            }
        }
        return 100;
    }
}
